# from: https://www.blog.pythonlibrary.org/2010/03/08/a-simple-step-by-step-reportlab-tutorial/

from reportlab.lib.pagesizes import A4
from reportlab.pdfgen import canvas
 
canvas = canvas.Canvas('tutorial.pdf', bottomup=0, pagesize=A4, )
width, height = A4

print(width) # 595.2755905511812
print(height) # 841.8897637795277

canvas.setLineWidth(.3)
canvas.setFont('Helvetica', 12)

canvas.drawString(25,50,'OFFICIAL COMMUNIQUE') # x-top-left, y-top-left 
canvas.drawString(25,75,'OF ACME INDUSTRIES')
canvas.drawString(25,100,"12/12/2010")
canvas.line(25,125,550,125) # left-x, left-y, right-x, right-y 
 
canvas.drawString(150,175,'AMOUNT OWED:')
canvas.drawString(150,200,"$1,000.00")
canvas.line(150,225,550,225)
 
canvas.drawString(150,275,'RECEIVED BY:')
canvas.line(150,300,550,300)
canvas.drawString(150,325,"JOHN DOE")
 
canvas.save()
